#include <stdio.h>
#include "../winuser.h"
int _CRlist(mmachine m)
{ m->pp+=7;return MMpush(m,NIL); }
int _ADDlist(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DELlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SDELlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SELlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SSELlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _POSlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CBlistClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBlistDclick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DSlist(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETlistSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZElist(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETlistCount(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _PAINTlist(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETlistColumn(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETlist(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _RSTlist(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETlistPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONlist(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SHOWlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETlistMSel(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBlistDropFile(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _ENlist(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NlistboxPKG 23
char* listboxname[NlistboxPKG]=
{"_CRlist","_ADDlist","_DELlist","_SDELlist","_SELlist","_SSELlist","_POSlist","_CBlistClick","_CBlistDclick","_DSlist","_GETlistSizePosition","_SIZElist","_GETlistCount","_PAINTlist","_SETlistColumn","_GETlist","_RSTlist","_GETlistPositionSize","_POSITIONlist","_SHOWlist","_GETlistMSel","_CBlistDropFile","_ENlist"};
int (*listboxfun[NlistboxPKG])(mmachine m)=
{_CRlist,_ADDlist,_DELlist,_SDELlist,_SELlist,_SSELlist,_POSlist,_CBlistClick,_CBlistDclick,_DSlist,_GETlistSizePosition,_SIZElist,_GETlistCount,_PAINTlist,_SETlistColumn,_GETlist,_RSTlist,_GETlistPositionSize,_POSITIONlist,_SHOWlist,_GETlistMSel,_CBlistDropFile,_ENlist};
int listboxnarg[NlistboxPKG]=
{7,3,2,2,2,2,2,3,3,1,1,5,1,1,2,1,1,1,5,2,1,3,2};
char* listboxtype[NlistboxPKG]=
{"fun [Chn ObjWin I I I I I] ObjList","fun [ObjList I S] ObjList","fun [ObjList I] ObjList","fun [ObjList S] ObjList","fun [ObjList I] ObjList","fun [ObjList S] ObjList","fun [ObjList S] I","fun [ObjList fun [ObjList u0 I S] u1 u0] ObjList","fun [ObjList fun [ObjList u0 I S] u1 u0] ObjList","fun [ObjList] I","fun [ObjList] [I I I I]","fun [ObjList I I I I] ObjList","fun [ObjList] I","fun [ObjList] ObjList","fun [ObjList I] ObjList","fun [ObjList] [I S]","fun [ObjList] ObjList","fun [ObjList] [I I I I]","fun [ObjList I I I I] ObjList","fun [ObjList I] ObjList","fun [ObjList] [[I S] r1]","fun [ObjList fun [ObjList u0 I I [P r1]] u1 u0] ObjList","fun [ObjList I] ObjList"};
int SCOLloadlistbox(mmachine m)
{
return PKhardpak(m,"listbox.pkg",NlistboxPKG,listboxname,listboxfun,listboxnarg,listboxtype);
}
